<div>
    <h2>
        <span jhiTranslate="typerApp.team.home.title">Teams</span>
        <button *ngIf='showButton' class="btn btn-primary float-right jh-create-entity create-team" [routerLink]="['/', { outlets: { popup: ['team-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="typerApp.team.home.createLabel">
            Create new Team
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="teams">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span></span></th>
            <th><span jhiTranslate="typerApp.team.name">Name</span></th>
            <th><span jhiTranslate="typerApp.team.flag">Flag</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let team of teams ;trackBy: trackId">
                <td><a [routerLink]="['../team', team.id ]"><span jhiTranslate="typerApp.team.details">{{team.id}}</span></a></td>
                <td>{{team.name}}</td>
                <td><img src="{{team.imageUrl}}" class="flag-picture"/></td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                *ngIf='showButton'
                                [routerLink]="['/', { outlets: { popup: 'team/'+ team.id + '/edit'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                *ngIf='showButton'
                                [routerLink]="['/', { outlets: { popup: 'team/'+ team.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
